OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.AMD.StencilOperationExtended

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetAMDStencilOperationExtended :: MonadIO m => m Bool
- gl_AMD_stencil_operation_extended :: Bool
- pattern GL_REPLACE_VALUE_AMD :: GLenum
- pattern GL_SET_AMD :: GLenum
- pattern GL_STENCIL_BACK_OP_VALUE_AMD :: GLenum
- pattern GL_STENCIL_OP_VALUE_AMD :: GLenum
- glStencilOpValueAMD :: MonadIO m => GLenum -> GLuint -> m ()

# Extension Support

glGetAMDStencilOperationExtended :: MonadIO m => m Bool Source #

Is the AMD_stencil_operation_extended extension supported?

gl_AMD_stencil_operation_extended :: Bool Source #

Is the AMD_stencil_operation_extended extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetAMDStencilOperationExtended` in those cases instead.

# Enums

pattern GL_REPLACE_VALUE_AMD :: GLenum Source #

pattern GL_SET_AMD :: GLenum Source #

pattern GL_STENCIL_BACK_OP_VALUE_AMD :: GLenum Source #

pattern GL_STENCIL_OP_VALUE_AMD :: GLenum Source #

# Functions

glStencilOpValueAMD Source #

Arguments

:: MonadIO m |
=> GLenum | `face` of type StencilFaceDirection.
-> GLuint | `value`.
-> m () |